Publish the current draft to an environment
POST
/
v1
/
agents
/
{agentId}
/
deployments
/
publish
Publish the current draft to an environment
curl --request POST \
--url https://api.us.poly.ai/v1/agents/{agentId}/deployments/publish \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"deploymentMessage": "",
"environment": "<string>"
}
'import requests
url = "https://api.us.poly.ai/v1/agents/{agentId}/deployments/publish"
payload = {
"deploymentMessage": "",
"environment": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({deploymentMessage: '', environment: '<string>'})
};
fetch('https://api.us.poly.ai/v1/agents/{agentId}/deployments/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment": {
"id": "<string>",
"accountId": "<string>",
"agentId": "<string>",
"environment": "<string>",
"artifactVersion": "<string>",
"version": "<string>",
"createdBy": "<string>",
"createdAt": "<string>",
"metadata": {}
},
"testRunIds": [
"<string>"
]
}{
"success": false,
"error": "Invalid or missing `environment` query parameter.",
"error_id": "550e8400-e29b-41d4-a716-446655440000",
"error_code": "DEPLOYMENTS_INVALID_ENVIRONMENT",
"error_message": "Invalid or missing `environment` query parameter.",
"data": null
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}Authorizations
Path Parameters
Body
application/json
Response
Successful response
The resulting deployment from a promote / rollback / publish action, plus any test runs it triggered.
Last modified on April 22, 2026
Was this page helpful?
⌘I
Publish the current draft to an environment

